@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;800&family=Rubik:wght@300;400;500;600&display=swap');
@font-face {
  font-family: "SF Pro";
  src: url("/fonts/SF-Pro-Display-Regular.woff2") format("woff2"),
       url("/fonts/SF-Pro-Display-Regular.woff") format("woff"),
       url("/fonts/SF-Pro-Display-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}
:root {
  --primary-color: #ff6b6b;
  --secondary-color: #794afa;
  --secondary-dark-color: #453c5c;
  --white-color: #ffffff;
  --light-bg-color: #f2f3f5;
  --light-text-color: #7c899a;
  --border-color: #e5e8ec;
  --dark-color: #0a021c;
  --background-color: #0d0e12;
  --card-bg-color: #1b1e24;
  --card-text-color: #e0e0e0;
  --font-small: 13px;
  --font-smaller: 11px;
  --percent100: 100%;
  --fw3: 300;
  --fw5: 500;
  --fw6: 600;
  --fw7: 700;
  --fw8: 800;
  --trans-background-color: background-color .3s, color .3s;
  --trans-background: background-color .3s;
  --trans-color: color .3s;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Rubik', sans-serif;
  font-size: 16px;
  font-weight: 400;
  /* color: var(--card-text-color); */
  background-color: var(--white-color);
}

a{
  text-decoration: none;
  color: inherit;
  -webkit-top-highlight-color:transparent;
}
ul{
  list-style: none;
} 
strong{
  font-weight: var(--fw8);
}
table{
  border-collapse: collapse;
  border-spacing: 0;
}
input::placeholder{
  font: inherit;
}



h1,h2,h3,h4{
  font-family: 'Poppins', sans-serif;
}
h1{
  font-size: calc(1.3rem + 1vw);
  font-weight: var(--fw8);
  line-height: 1;
}
h2{
  font-size: 2.5em;
}
h3{
  font-size: 1.2rem;
  font-weight: var(--fw7);
}
h4{
  font-size: 1rem;
  font-weight: var(--fw6);
}
.trending{
  background-color: #f8f9fa;
  padding-bottom: 2em;

 
}
.features_all7{
  background-color: #0a021c;
  padding: 2em 0;
  padding-bottom: 2em;

}
.features_all{
  padding: 2em 0;
}

.car1{
  margin-bottom: 1em;
}
.features_all .container .flexitem_block{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 0.5em;
  margin-bottom: 2em;
  border-bottom: 1px solid #7c899a;
}
.features_all7 .container .flexitem_block{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 0.5em;
  margin-bottom: 2em;
  border-bottom: 1px solid #7c899a;
}
.features_all .container .flexitem_block h2{
  font-family: 'Helvetica', 'Arial', sans-serif;
  font-size: 1.125rem;
  unicode-bidi: isolate;
  line-height: 1.4;
  color: #7c899a;
}
.features_all7 .container .flexitem_block h2{
  font-family: 'Helvetica', 'Arial', sans-serif;
  font-size: 1.125rem;
  unicode-bidi: isolate;
  line-height: 1.4;
  color: #7c899a;
}
.features_all7 .container .flexitem_block .view-all {
  font-size: var(--font-small);
  display: flex;
  transition: var(--trans-color);
  color: #7c899a;
}
.features_all .container .flexitem_block .view-all {
  font-size: var(--font-small);
  display: flex;
  transition: var(--trans-color);
  color: #7c899a;
}
.features_all .container .flexitem_block .view-all:hover {

  color: var(--light-text-color);

}
.features_all7 .container .flexitem_block .view-all:hover {

  color: var(--light-text-color);

}
.container .flexitem{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 0.5em;
  margin-bottom: 2em;
  border-bottom: 1px solid var(--border-color);
}
.container .flexitem h2{
  font-family: 'Helvetica', 'Arial', sans-serif;
  font-size: 1.125rem;
  unicode-bidi: isolate;
  line-height: 1.4;
  color: var(--dark-color);
}
.container .flexitem .view-all {
  font-size: var(--font-small);
  display: flex;
  transition: var(--trans-color);
  color: #7c899a;
}
.container .flexitem .view-all:hover {

  color: var(--light-text-color);

}
.card-container{
display: grid;
gap: 1rem;
grid-template-columns: repeat(1,1fr);
align-items: stretch; 
}
.card-item{
  display: flex;
  gap: 1rem;
  padding: 12px;
  background-color: #ffffff;
  border-radius: 16px;
  height: 100%; 
}
.item-1{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  align-items: stretch;
}

.features_all .container .flexitem h2{
  color: var(--border-color);
}
.features_all .container .flexitem .view-all{
  color: var(--border-color);
}
.features_all7 .container .flexitem h2{
  color: var(--border-color);
}
.features_all7 .container .flexitem .view-all{
  color: var(--border-color);
}



.features_all{
  background-color: var(--dark-color);
}
.features_all2 .source{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 1.75em;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin: 12px 0;

}

.features_all2{
  background-color:#f8f9fa ;
  padding-bottom: 2em;
}
.card-features2{
  background-color: #fff;
  padding: 12px;
  border-radius: 16px;
}
.features_all2 .timestamp{
  font-family: "Montserrat", sans-serif;
  font-size: 10px;
  color: #5A5D7E;
  font-weight: bold;
}


.features_all3{
  padding: 2em 0;
  background-color: #f8f9fa;
}
.features_all3 .source{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin: 12px 0;

}
.features_all3 .timestamp{
  font-family: "Montserrat", sans-serif;
  font-size: 10px;
  color: #5A5D7E;
  font-weight: bold;
}

.features_all4{
  background-color: #f8f9fa;
}
.features_all4 .source{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin-bottom: 12px;

}
.features_all4 .source1{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 1.75em;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin: 12px 0;

}
.features_all4 .timestamp{
  font-family: "Montserrat", sans-serif;
  font-size: 10px;
  color: #5A5D7E;
  font-weight: bold;
}
.features_all5 .source{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin-bottom: 12px;

}
.features_all7 .source{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #eeeeee;
  line-height: 1.4;
  margin-bottom: 0.75em;

}
.features_all5 .source1{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 1.75em;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin: 12px 0;

}
.features_all5 .timestamp{
  font-family: "Montserrat", sans-serif;
  font-size: 10px;
  color: #5A5D7E;
  font-weight: bold;
}
.features_all7 .timestamp{
  font-family: "Montserrat", sans-serif;
  font-size:10px;
  font-weight: bold;
  color: var(--light-text-color);
}

.footer{
  padding: 6em 0;
}







.card-features-div{
  display: grid;
  gap: 12px;
  grid-template-columns: repeat(1,1fr);
  }
.card-features-div .card-features-item{
  padding: 12px;
  background-color: #0e0425;
  border-radius: 16px;
  height: 100%; /* Ensure full stretch in grid cell */
}


.card-container .card{

}

.card-container .card .card-item .image-container img{
width: 100%;
height:86px;
object-fit: cover;
width: 86px;
transition: transform 0.3s ease; /* Smooth transition */
border-radius: 8px;
}
.card-container .card .card-item .image-container img:hover {
  transform: scale(1.1); /* Scale the image when hovered */
}

.card-container .card .card-item .card-content p{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
}

.card-container .card .card-item .card-content p:hover{
  color: var(--light-text-color);
}

.card-container .card .card-item .card-content .timestamp{
  font-family: "Montserrat", sans-serif;
  font-size: 10px;
  color: #5A5D7E;
  font-weight: bold;
  margin: 12px 0 16px 0;
}







.card-features-div .card-features .card-features-item .image-container img{
  width: 100%;
  height:168px;
  object-fit: cover;
  transition: transform 0.3s ease; /* Smooth transition */
  border-radius: 8px;
  }
  .card-features-div .card-features .card-features-item .image-container img:hover {
    transform: scale(1.01); /* Scale the image when hovered */
  }
  
  .card-features-div .card-features .card-features-item .card-content p{
    font-weight: bold;
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 5;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    color: #e4e5fb;
    line-height: 1.4;
    margin: 12px 0;
  }
  
  .card-features-div .card-features .card-features-item .card-content p:hover{
    color: var(--light-text-color);
  }
  
  .card-features-div .card-features .card-features-item  .card-content .timestamp{
    font-size: var(--font-smaller);
    color: var(--light-text-color);
  }


  @media (max-width: 481px) {
    .trending{
    }
    .features_all2 .source{
      font-size: 1em;
    }
    .features_all4 .source1{
      font-size: 1em;
    }

  }
  @media (min-width: 481px) {

    .card-features-div{
      grid-template-columns: repeat(2,1fr);
      align-items: stretch; /* Make all items equal height */
    }
  }

@media (min-width: 768px) {
  .card-container{
    grid-template-columns: repeat(2,1fr);
  }
  .card-features-div{
    grid-template-columns: repeat(3,1fr);
    align-items: stretch; /* Make all items equal height */
  }
}

/* Desktop */
@media (min-width: 992px) {
  .card-container{
    grid-template-columns: repeat(3,1fr);
  }
  .card-features-div{
    grid-template-columns: repeat(4,1fr);
    align-items: stretch; /* Make all items equal height */
  }
}
